Xerces2 Implementation: Class SchemaDOMParser

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.opti
Class SchemaDOMParser

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.opti.DefaultXMLDocumentHandler
            |
            +--org.apache.xerces.impl.xs.opti.SchemaDOMParser

All Implemented Interfaces:
  org.apache.xerces.xni.XMLDocumentHandler, org.apache.xerces.xni.XMLDTDContentModelHandler, org.apache.xerces.xni.XMLDTDHandler

public class SchemaDOMParser
extends DefaultXMLDocumentHandler

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: SchemaDOMParser.java 446728 2006-09-15 20:43:46Z mrglavas $
Author:
  Rahul Srivastava, Sun Microsystems Inc., Sandy Gao, IBM

Field Summary
`static java.lang.String` | `ERROR_REPORTER` Property identifier: error reporter.
`protected org.apache.xerces.xni.XMLLocator` | `fLocator`
`protected org.apache.xerces.xni.NamespaceContext` | `fNamespaceContext`
`static java.lang.String` | `GENERATE_SYNTHETIC_ANNOTATION` Feature identifier: generate synthetic annotations.

Fields inherited from interface org.apache.xerces.xni.XMLDTDHandler
`CONDITIONAL_IGNORE, CONDITIONAL_INCLUDE`

Fields inherited from interface org.apache.xerces.xni.XMLDTDContentModelHandler
`OCCURS_ONE_OR_MORE, OCCURS_ZERO_OR_MORE, OCCURS_ZERO_OR_ONE, SEPARATOR_CHOICE, SEPARATOR_SEQUENCE`

Constructor Summary
`SchemaDOMParser(org.apache.xerces.xni.parser.XMLParserConfiguration config)` Default constructor.

Method Summary
`void` | `characters(org.apache.xerces.xni.XMLString text, org.apache.xerces.xni.Augmentations augs)` Character content.
`void` | `comment(org.apache.xerces.xni.XMLString text, org.apache.xerces.xni.Augmentations augs)` A comment.
`void` | `emptyElement(org.apache.xerces.xni.QName element, org.apache.xerces.xni.XMLAttributes attributes, org.apache.xerces.xni.Augmentations augs)` An empty element.
`void` | `endCDATA(org.apache.xerces.xni.Augmentations augs)` The end of a CDATA section.
`void` | `endDocument(org.apache.xerces.xni.Augmentations augs)` The end of the document.
`void` | `endElement(org.apache.xerces.xni.QName element, org.apache.xerces.xni.Augmentations augs)` The end of an element.
`org.w3c.dom.Document` | `getDocument()` Returns the DOM document object.
`org.w3c.dom.Document` | `getDocument2()` Gets the document from SchemaParsingConfig
`boolean` | `getFeature(java.lang.String featureId)` Delegates to SchemaParsingConfig.getFeature
`java.lang.Object` | `getProperty(java.lang.String propertyId)` Delegates to SchemaParsingConfig.getProperty.
`void` | `ignorableWhitespace(org.apache.xerces.xni.XMLString text, org.apache.xerces.xni.Augmentations augs)` Ignorable whitespace.
`void` | `parse(org.apache.xerces.xni.parser.XMLInputSource inputSource)` Delegates parsing to SchemaParsingConfig
`void` | `processingInstruction(java.lang.String target, org.apache.xerces.xni.XMLString data, org.apache.xerces.xni.Augmentations augs)` A processing instruction.
`void` | `reset()` Reset SchemaParsingConfig
`void` | `resetNodePool()` ResetNodePool on SchemaParsingConfig
`void` | `setEntityResolver(org.apache.xerces.xni.parser.XMLEntityResolver er)` Delegates to SchemaParsingConfig.setEntityResolver.
`void` | `setFeature(java.lang.String featureId, boolean state)` Delegates to SchemaParsingConfig.setFeature
`void` | `setProperty(java.lang.String propertyId, java.lang.Object value)` Delegates to SchemaParsingConfig.setProperty.
`void` | `startCDATA(org.apache.xerces.xni.Augmentations augs)` The start of a CDATA section.
`void` | `startDocument(org.apache.xerces.xni.XMLLocator locator, java.lang.String encoding, org.apache.xerces.xni.NamespaceContext namespaceContext, org.apache.xerces.xni.Augmentations augs)` The start of the document.
`void` | `startElement(org.apache.xerces.xni.QName element, org.apache.xerces.xni.XMLAttributes attributes, org.apache.xerces.xni.Augmentations augs)` The start of an element.

Methods inherited from class org.apache.xerces.impl.xs.opti.DefaultXMLDocumentHandler
`any, attributeDecl, doctypeDecl, element, elementDecl, empty, endAttlist, endConditional, endContentModel, endDTD, endExternalSubset, endGeneralEntity, endGroup, endParameterEntity, endPrefixMapping, externalEntityDecl, getDocumentSource, getDTDContentModelSource, getDTDSource, ignoredCharacters, internalEntityDecl, notationDecl, occurrence, pcdata, separator, setDocumentSource, setDTDContentModelSource, setDTDSource, startAttlist, startConditional, startContentModel, startDTD, startExternalSubset, startGeneralEntity, startGroup, startParameterEntity, startPrefixMapping, textDecl, unparsedEntityDecl, xmlDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_REPORTER

    public static final java.lang.String ERROR_REPORTER

  Property identifier: error reporter.

### GENERATE_SYNTHETIC_ANNOTATION

    public static final java.lang.String GENERATE_SYNTHETIC_ANNOTATION

  Feature identifier: generate synthetic annotations.

### fLocator

    protected org.apache.xerces.xni.XMLLocator fLocator

### fNamespaceContext

    protected org.apache.xerces.xni.NamespaceContext fNamespaceContext

Constructor Detail

### SchemaDOMParser

    public SchemaDOMParser(org.apache.xerces.xni.parser.XMLParserConfiguration config)

  Default constructor.

Method Detail

### startDocument

    public void startDocument(org.apache.xerces.xni.XMLLocator locator,
                              java.lang.String encoding,
                              org.apache.xerces.xni.NamespaceContext namespaceContext,
                              org.apache.xerces.xni.Augmentations augs)
                       throws org.apache.xerces.xni.XNIException

  Description copied from class: `DefaultXMLDocumentHandler`
  The start of the document.
  Overrides:
    `startDocument` in class `DefaultXMLDocumentHandler`
  Following copied from class: `org.apache.xerces.impl.xs.opti.DefaultXMLDocumentHandler`
  Parameters:
    `locator` - The document locator, or null if the document location cannot be reported during the parsing of this document. However, it is strongly recommended that a locator be supplied that can at least report the system identifier of the document.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal entities or a document entity that is parsed from a java.io.Reader).
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### endDocument

    public void endDocument(org.apache.xerces.xni.Augmentations augs)
                     throws org.apache.xerces.xni.XNIException

  The end of the document.
  Overrides:
    `endDocument` in class `DefaultXMLDocumentHandler`
  Parameters:
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### comment

    public void comment(org.apache.xerces.xni.XMLString text,
                        org.apache.xerces.xni.Augmentations augs)
                 throws org.apache.xerces.xni.XNIException

  A comment.
  Overrides:
    `comment` in class `DefaultXMLDocumentHandler`
  Parameters:
    `text` - The text in the comment.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by application to signal an error.

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      org.apache.xerces.xni.XMLString data,
                                      org.apache.xerces.xni.Augmentations augs)
                               throws org.apache.xerces.xni.XNIException

  A processing instruction. Processing instructions consist of a target name and, optionally, text data. The data is only meaningful to the application.

  Typically, a processing instruction's data will contain a series of pseudo-attributes. These pseudo-attributes follow the form of element attributes but are not parsed or presented to the application as anything other than text. The application is responsible for parsing the data.

  Overrides:
    `processingInstruction` in class `DefaultXMLDocumentHandler`
  Parameters:
    `target` - The target.
    `data` - The data or null if none specified.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### characters

    public void characters(org.apache.xerces.xni.XMLString text,
                           org.apache.xerces.xni.Augmentations augs)
                    throws org.apache.xerces.xni.XNIException

  Character content.
  Overrides:
    `characters` in class `DefaultXMLDocumentHandler`
  Parameters:
    `text` - The content.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### startElement

    public void startElement(org.apache.xerces.xni.QName element,
                             org.apache.xerces.xni.XMLAttributes attributes,
                             org.apache.xerces.xni.Augmentations augs)
                      throws org.apache.xerces.xni.XNIException

  The start of an element.
  Overrides:
    `startElement` in class `DefaultXMLDocumentHandler`
  Parameters:
    `element` - The name of the element.
    `attributes` - The element attributes.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### emptyElement

    public void emptyElement(org.apache.xerces.xni.QName element,
                             org.apache.xerces.xni.XMLAttributes attributes,
                             org.apache.xerces.xni.Augmentations augs)
                      throws org.apache.xerces.xni.XNIException

  An empty element.
  Overrides:
    `emptyElement` in class `DefaultXMLDocumentHandler`
  Parameters:
    `element` - The name of the element.
    `attributes` - The element attributes.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### endElement

    public void endElement(org.apache.xerces.xni.QName element,
                           org.apache.xerces.xni.Augmentations augs)
                    throws org.apache.xerces.xni.XNIException

  The end of an element.
  Overrides:
    `endElement` in class `DefaultXMLDocumentHandler`
  Parameters:
    `element` - The name of the element.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### ignorableWhitespace

    public void ignorableWhitespace(org.apache.xerces.xni.XMLString text,
                                    org.apache.xerces.xni.Augmentations augs)
                             throws org.apache.xerces.xni.XNIException

  Ignorable whitespace. For this method to be called, the document source must have some way of determining that the text containing only whitespace characters should be considered ignorable. For example, the validator can determine if a length of whitespace characters in the document are ignorable based on the element content model.
  Overrides:
    `ignorableWhitespace` in class `DefaultXMLDocumentHandler`
  Parameters:
    `text` - The ignorable whitespace.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### startCDATA

    public void startCDATA(org.apache.xerces.xni.Augmentations augs)
                    throws org.apache.xerces.xni.XNIException

  The start of a CDATA section.
  Overrides:
    `startCDATA` in class `DefaultXMLDocumentHandler`
  Parameters:
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### endCDATA

    public void endCDATA(org.apache.xerces.xni.Augmentations augs)
                  throws org.apache.xerces.xni.XNIException

  The end of a CDATA section.
  Overrides:
    `endCDATA` in class `DefaultXMLDocumentHandler`
  Parameters:
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

### getDocument

    public org.w3c.dom.Document getDocument()

  Returns the DOM document object.

### setFeature

    public void setFeature(java.lang.String featureId,
                           boolean state)

  Delegates to SchemaParsingConfig.setFeature
  Parameters:
    `featureId` -
    `state` -

### getFeature

    public boolean getFeature(java.lang.String featureId)

  Delegates to SchemaParsingConfig.getFeature
  Parameters:
    `featureId` -
  Returns:
    boolean

### setProperty

    public void setProperty(java.lang.String propertyId,
                            java.lang.Object value)

  Delegates to SchemaParsingConfig.setProperty.
  Parameters:
    `propertyId` -
    `value` -

### getProperty

    public java.lang.Object getProperty(java.lang.String propertyId)

  Delegates to SchemaParsingConfig.getProperty.
  Parameters:
    `propertyId` -
  Returns:
    Object

### setEntityResolver

    public void setEntityResolver(org.apache.xerces.xni.parser.XMLEntityResolver er)

  Delegates to SchemaParsingConfig.setEntityResolver.
  Parameters:
    `er` - XMLEntityResolver

### parse

    public void parse(org.apache.xerces.xni.parser.XMLInputSource inputSource)
               throws java.io.IOException

  Delegates parsing to SchemaParsingConfig
  Parameters:
    `inputSource` -
  Throws:
    `java.io.IOException` -

### getDocument2

    public org.w3c.dom.Document getDocument2()

  Gets the document from SchemaParsingConfig
  Returns:
    Document

### reset

    public void reset()

  Reset SchemaParsingConfig

### resetNodePool

    public void resetNodePool()

  ResetNodePool on SchemaParsingConfig

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.